Package com.logicaldoc.core.searchengine.folder

# Class FolderSearch.HitMapper

java.lang.Object
com.logicaldoc.core.searchengine.folder.FolderSearch.HitMapper

All Implemented Interfaces:
  `org.springframework.jdbc.core.RowMapper<Hit>`

Enclosing class:
  `FolderSearch`

public class FolderSearch.HitMapper extends Object implements org.springframework.jdbc.core.RowMapper<Hit>

## Constructor Summary

Constructors
Constructor
Description
`HitMapper()`

## Method Summary

Modifier and Type
Method
Description
`Hit`
`mapRow(ResultSet rs, int rowNum)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HitMapper

public HitMapper()

## Method Details

### mapRow

public Hit mapRow(ResultSet rs, int rowNum) throws SQLException

Specified by:
  `mapRow` in interface `org.springframework.jdbc.core.RowMapper<Hit>`
Throws:
  `SQLException`